Skip to main content
`Ctrl`+`K`

# PetscViewerDrawGetDrawAxis

Returns a `PetscDrawAxis` object from a `PetscViewer` object of type `PETSCVIEWERDRAW`. This `PetscDrawAxis` object may then be used to perform graphics using `PetscDrawAxis` commands.

## Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscErrorCode PetscViewerDrawGetDrawAxis(PetscViewer viewer, PetscInt windownumber, PetscDrawAxis *drawaxis)

Collective

## Input Parameters

- viewer - the `PetscViewer` (created with `PetscViewerDrawOpen()`)

- windownumber - indicates which subwindow (usually 0)

## Output Parameter

- drawaxis - the draw axis object

## Note

A `PETSCVIEWERDRAW` may have multiple `PetscDraw` subwindows

## See Also

Viewers: Looking at PETSc Objects, `PetscViewerDrawGetDraw()`, `PetscViewerDrawGetLG()`, `PetscViewerDrawOpen()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/draw/draw/fdrawv.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages